       program makecommand
c********************************************
c
c creates a COMMAND file for FLEXTRA
c
c written by C. Forster  26/7/2001
c*******************************************
c

      character*80 fieldfile,lastfile,lastfile2 
      character dateend*6,timeend*6 
      character dateend2*6,timeend2*6 
 
c**** check, which is the last available wind field
 
      fieldfile = '/vola/caro/AVN_analysis/AVN_Data/FIELDS'
      open(23,file=fieldfile,status='unknown')
       read(23,*)
       read(23,'(55x,a)') lastfile
        do i=1,23
         read(23,*)
        end do
       read(23,'(55x,a)') lastfile2
      close(23)
 
       write(dateend,'(a)') lastfile(3:8)
       write(timeend,'(a)') lastfile(9:10)//'0000' 
c      write(timeend,'(a)') lastfile(9:10)
       write(dateend2,'(a)') lastfile2(3:8)
       write(timeend2,'(a)') lastfile2(9:10)//'0000' 
c      write(timeend2,'(a)') lastfile2(9:10)

c ***** create COMMAND file

      open(22,file='COMMAND',status='unknown')
      write(22,'(a)')'**********************************************'
      write(22,*)
      write(22,*)
      write(22,*) ' Input file for FLEXPART '
      write(22,*)
      write(22,'(a)') '*********************************************'
      write(22,*)
      write(22,*) ' 1 '  ! DIRECTION
      write(22,*) '20'//dateend2//' '//timeend2   
      write(22,*) '20'//dateend//' '//timeend   
      write(22,*) '10800' ! OUTPUT EVERY SSSSS SECONDS
      write(22,*) '10800' ! TIME AVERAGE OF OUTPUT (IN SSSSS SECONDS)
      write(22,*) '900' ! SAMPLING RATE OF OUTPUT (IN SSSSS SECONDS)
      write(22,*) '999999999' ! TIME CONSTANT FOR PARTICLE SPLITTING (IN SECONDS)
      write(22,*) '900'  ! SYNCHRONISATION INTERVAL OF FLEXPART (IN SECONDS)
      write(22,*) '-5.0' !FACTOR, BY WHICH TIME STEP MUST BE SMALLER THAN TL
      write(22,*) '4'  !DECREASE OF TIME STEP FOR VERTICAL MOTION BY FACTOR IFINE
      write(22,*) '3 '  !  1 CONCENTRATION OUTPUT, 2 MIXING RATIO OUTPUT, 3 BOTH
      write(22,*) '2 '   ! PARTICLE DUMP: 0 NO, 1 EVERY OUTPUT INTERVAL, 2 ONLY AT END, 
      write(22,*) '1 '  ! 1 SUBGRID TERRAIN EFFECT PARAMETERIZATION, 2 NO PARAM
      write(22,*) '1 ' ! 1 CONVECTION PARAMETERIZATION TURNED ON, 2 TURNED OFF
      write(22,*) '1 ' ! CALCULATE AGE SPECTRA, 2 NO AGE SPECTRA
      write(22,*) '1 ' ! 1 CONTINUE SIMULATION WITH DUMPED PARTICLE DATA, 2 NO
      write(22,*) '2 ' ! 1 CALCULATE FLUXES, 2 NO FLUXES

      close(22)

       stop 
       end
