      subroutine readpartpositions(error)
C                                    o
********************************************************************************
*                                                                              *
*   This routine opens the grid output file and computes the volume of each    *
*   grid cell.                                                                 *
*                                                                              *
*                                                                              *
*     Author: A. Stohl                                                         *
*                                                                              *
*     24 March 2000                                                            *
*                                                                              *
********************************************************************************
*                                                                              *
* Variables:                                                                   *
*                                                                              *
********************************************************************************

      include 'includepar'
      include 'includecom'
      
      integer ibdatein,ibtimein,nspecin,itimein,numpointin,i,j,idummy
      real xlonin,ylatin,ran1
      character specin*7
      double precision julin,julpartin,juldate
      logical error

      data idummy/-8/



C Open output file for grid
***************************

c     open(unitpartin,file=path(2)(1:len(2))//'partposit',
c    +form='unformatted',err=998)
      open(unitpartin,file=path(2)(1:len(2))//'partposit',
     +err=998)

      read(unitpartin,*) ibdatein,ibtimein
      read(unitpartin,*)

      read(unitpartin,*)
      read(unitpartin,*)
      read(unitpartin,*) nspecin
      nspecin=nspecin/3
      if (nspec.ne.nspecin) goto 997

      do 12 i=1,nspecin
        read(unitpartin,*)
        read(unitpartin,*)
        read(unitpartin,*) j,specin
12      if (species(i)(1:7).ne.specin) goto 996

      read(unitpartin,*) numpointin
      if (numpointin.ne.numpoint) goto 995
      do 13 i=1,numpointin
        read(unitpartin,*)
        read(unitpartin,*)
        read(unitpartin,*)
        read(unitpartin,*)
        do 13 j=1,nspec
          read(unitpartin,*)
          read(unitpartin,*)
13        read(unitpartin,*)
      read(unitpartin,*)
      read(unitpartin,*)

      do 30 i=0,numxgrid-1
30      read(unitpartin,*) 


100     read(unitpartin,*,end=99) itimein
        i=0
200     i=i+1
        read(unitpartin,*) xlonin,ylatin,ztra1(i),itramem(i),
     +  npoint(i),(xmass1(i,j),j=1,nspec)
        if (xlonin.eq.-9999.9) goto 100
        xtra1(i)=(xlonin-xlon0)/dx
        ytra1(i)=(ylatin-ylat0)/dy
        goto 200

99    numpart=i-1

      close(unitpartin)

      julin=juldate(ibdatein,ibtimein)+dble(float(itimein)/86400.)
       write(*,*) 'julin=',julin
       write(*,*) 'itimein from partposit=',itimein
       write(*,*) 'begin date of last run=',juldate(ibdatein,ibtimein)
       write(*,*) 'begin date of last run=',ibdatein
       write(*,*) 'begin time of last run=',ibtimein
       write(*,*)
       write(*,*) 'begin date of current run=',bdate
       write(*,*) 'begin date of current run=',ibdate
       write(*,*) 'begin time of current run=',ibtime
      if (abs(julin-bdate).gt.1.e-5) goto 994
      do 50 i=1,numpart
        julpartin=juldate(ibdatein,ibtimein)+
     +  dble(float(itramem(i))/86400.)
        nclass(i)=min(int(ran1(idummy)*float(nclassunc))+1,
     +  nclassunc)
        if (kkind(npoint(i)).eq.1) then
          kind(i)=.true.
        else
          kind(i)=.false.
        endif
        idt(i)=mintime
        itra1(i)=0
        itramem(i)=nint((julpartin-bdate)*86400.)
50      itrasplit(i)=ldirect*itsplit

      return


994   write(*,*) ' #### FLEXPART MODEL ERROR IN READPARTPOSITIONS#### '
      write(*,*) ' #### ENDING TIME OF PREVIOUS MODEL RUN DOES   #### '
      write(*,*) ' #### NOT AGREE WITH STARTING TIME OF THIS RUN.#### '
      error=.true.
      return

995   write(*,*) ' #### FLEXPART MODEL ERROR IN READPARTPOSITIONS#### '
      write(*,*) ' #### NUMBER OF RELEASE LOCATIONS DOES NOT     #### '
      write(*,*) ' #### AGREE WITH CURRENT SETTINGS!             #### '
      error=.true.
      return

996   write(*,*) ' #### FLEXPART MODEL ERROR IN READPARTPOSITIONS#### '
      write(*,*) ' #### SPECIES NAMES TO BE READ IN DO NOT       #### '
      write(*,*) ' #### AGREE WITH CURRENT SETTINGS!             #### '
      error=.true.
      return

997   write(*,*) ' #### FLEXPART MODEL ERROR IN READPARTPOSITIONS#### '
      write(*,*) ' #### THE NUMBER OF SPECIES TO BE READ IN DOES #### '
      write(*,*) ' #### NOT AGREE WITH CURRENT SETTINGS!         #### '
      error=.true.
      return

998   write(*,*) ' #### FLEXPART MODEL ERROR!   THE FILE         #### '
      write(*,*) ' #### '//path(2)(1:len(2))//'grid'//' #### '
      write(*,*) ' #### CANNOT BE OPENED. IF A FILE WITH THIS    #### '
      write(*,*) ' #### NAME ALREADY EXISTS, DELETE IT AND START #### '
      write(*,*) ' #### THE PROGRAM AGAIN.                       #### '
      error=.true.
      return

      end
